<?php
/*
Plugin Name: RWS Demo Import
Description: Imports a custom JSON file into ACF tabs with a repeater field
Version: 1.0
Author: Your Name
Author URI: 
*/

defined( 'ABSPATH' ) or die( 'No direct access allowed' );

function print_test( $value ){
    echo "<pre>";
        print_r( $value );
    echo "</pre>";
}

function json_import_form() {
    $json_data = file_get_contents('https://dev.rigorousweb.com/c/rajesh/serviceDetails.json');
    $data = json_decode($json_data, true);


    $servicesCategories = file_get_contents('https://dev.rigorousweb.com/c/rajesh/servicesCategories.json');
    $terms  = json_decode($servicesCategories, true);
    $post_taxonomy = 'service-categories';
    foreach ($terms as $term) {
        $term_args = array(
            'description' => $term['services'][0]['en'],
            'slug' => $term['serviceCategorySlug']
        );
        wp_insert_term($term['serviceCategoryName']['en'], $post_taxonomy, $term_args);
        
        foreach ($term['services'] as $key=> $value) {
            //print_test( $value['en'] );
            $args = array(
                'post_title' => $value['en'],
                'post_status' => 'publish',
                'post_type' => 'our-services',
            ); 
            $_post = post_exists( $value['en'],'','','our-services' ); 
            $idPost = get_page_by_title($value['en'], OBJECT, 'our-services');
            $postId = $_post ? wp_update_post( $args ) : wp_insert_post( $args ); 
            wp_set_object_terms( $idPost->ID, $term['serviceCategorySlug'], $post_taxonomy ); 
        }

        
    }

        $title_id = get_page_by_title($data['data']['title_en'], OBJECT, 'our-services');
        //print_test( $data['data']['title_en'] );
        // Insert post
        $new_post = array(
            'post_content' => $data['data']['description_en'],
            'post_status' => 'publish',
            'post_type' => 'our-services',
        );
        $title_id = get_page_by_title($data['data']['title_en'], OBJECT, 'our-services');

        $post_id = $title_id ? wp_update_post( $new_post ) : '';
        foreach ( $data['data']['documents_en'] as $repeater_field ) {
            $sub_repeater_field_value = array(
                'list_icon'=> 'Title',
                'list_title' => 'This is title',     
                'is_apply_now_button' => true,         
                
            );
            $row_id =  add_row( 'tab_content', $sub_repeater_field_value, $post_id );

            foreach ($sub_repeater_field_value as $subfield_name => $subfield_value) {
                update_sub_field($subfield_name, $subfield_name, $row_id);
            }

            // Get the repeater field values
            $repeater_field_value = array(
                'tab_title' => $repeater_field['title'],
                'tab_content' => get_sub_field('tab_content', $post_id),
            );
            
            add_row( 'tabs', $repeater_field_value, $post_id );
        
        }
        
}
add_action('admin_menu', 'json_import_menu');

function json_import_menu() {
    add_menu_page('JSON Import', 'JSON Import', 'manage_options', 'json-import', 'json_import_form', 'dashicons-upload');
}



